Subject: Re: [BUG][PPC32] Preemption patch for 2.4 Kernels

From: Eugene Surovegin <[email-masked]>
Date: Thu, 7 Oct 2004 11:35:51 -0700

On Thu, Oct 07, 2004 at 08:21:54PM +0200, Jaap-Jan Boor wrote:
> 
> On 7-okt-04, at 19:34, Eugene Surovegin wrote:
> 
> >On Thu, Oct 07, 2004 at 03:29:12PM +0200, Gerhard Jaeger wrote:
> >>maybe the 2.4 series is somewhat outdatet, but nevertheless used in
> >>several embedded systems and also with your preemption patches.
> >>During some investigations, we found out that the patches found on
> >>http://www.kernel.org/pub/linux/kernel/people/rml/preempt-kernel/
> >>contain a severe bug, when using the patches on PPC systems.
> >
> >Yes, it's a known problem with rml preempt patches - DON'T USE THEM
> >on PPC. I sent him similar patch _two_ years ago - nothing happened.
> >MVL tree is IMHO better place to get preempt stuff for 2.4 - it's
> >actually tested and works.
> 
> yes, because there are more changes then only the forgotten '{'
> 

You're right, there were other (not so obvious) problems which rml 
patch (like preempt_enable_no_resched() in 
irq.c::preempt_intercept()), maybe others I don't remember now)...

--
Eugene